<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>

<nav class="bg-white border-gray-200 py-3" th:fragment="navbar2">
  <div class="container max-w-screen-lg flex flex-wrap items-center justify-between mx-auto px-4">
    <!--nav brand-->
    <a th:href="@{'/'}" class="flex items-center">
      <span class="self-center text-2xl text-blue-900 font-semibold whitespace-nowrap">KPI Tazkia</span>
    </a>
    <!--nav right menu-->
    <div class="flex items-center md:order-2">
      <!--sign in button-->
      <div class="relative flex flex-row items-center">
        <!--Before login show login button-->
        <!--        <a  th:href="@{'#'}" type="button" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center inline-flex items-center">-->
        <!--          <svg class="w-4 h-4 mr-2 -ml-1" aria-hidden="true" focusable="false" data-prefix="fab" data-icon="google" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 488 512"><path fill="currentColor" d="M488 261.8C488 403.3 391.1 504 248 504 110.8 504 0 393.2 0 256S110.8 8 248 8c66.8 0 123 24.5 166.3 64.9l-67.5 64.9C258.5 52.6 94.3 116.6 94.3 256c0 86.5 69.1 156.6 153.7 156.6 98.2 0 135-70.4 140.8-106.9H248v-85.3h236.1c2.3 12.7 3.9 24.9 3.9 41.4z"></path></svg>-->
        <!--          Sign in-->
        <!--        </a>-->
        <!--after login show logout button-->
        <div>
          <button id="dropdownUserAvatarButton" data-dropdown-toggle="dropdownAvatar" class="flex ml-2 text-sm bg-gray-800 rounded-full md:mr-0 focus:ring-4 focus:ring-gray-300" type="button">
            <span class="sr-only">Open user menu</span>
            <img class="w-8 h-8 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="user photo">
          </button>
          <!-- User Dropdown menu -->
          <div id="dropdownAvatar" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
            <div class="px-4 py-3 text-sm text-gray-900">
              <div class="truncate" th:text="${userEmployes.getFullName()}">Dofir Fauzi</div>
              <div class="font-medium truncate" th:text="${userEmployes.getUser().getUsername()}">hhhhh</div>
            </div>
            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownUserAvatarButton">
              <li>
                <a th:href="@{'/'}" class="block px-4 py-2 hover:bg-gray-100">My Task</a>
              </li>
              <li>
                <a th:href="@{'/reports'}" class="block px-4 py-2 hover:bg-gray-100">My Report</a>
              </li>
            </ul>
            <!--this menu only visible for admin-->
            <!--admin menu-->
            <ul class="py-2 text-sm text-gray-700" sec:authorize="hasAuthority('KPI_MENU_OVERVIEW') or hasAuthority('KPI_MENU_EVENT') or hasAuthority('KPI_SCORE_SETTING') or hasAuthority('KPI_TEMPLATE_TASKS') or hasAuthority('KPI_MENU_PERFORMANCE_REPORT')">
              <li>
                <a sec:authorize="hasAuthority('KPI_MENU_OVERVIEW')" th:href="@{'/overview'}" class="block px-4 py-2 hover:bg-gray-100">Overview</a>
              </li>
              <li>
                <a sec:authorize="hasAuthority('KPI_MENU_EVENT')" th:href="@{'/event'}" class="block px-4 py-2 hover:bg-gray-100">Events</a>
              </li>
              <li>
                <a sec:authorize="hasAuthority('KPI_MENU_EMPLOYEE_GROUP')" th:href="@{'/employee-group'}" class="block px-4 py-2 hover:bg-gray-100">Employee Group</a>
              </li>
              <li>
                <a sec:authorize="hasAuthority('KPI_MENU_PERFORMANCE_REPORT')" th:href="@{'/performance-report'}" class="block px-4 py-2 hover:bg-gray-100">Performance Report</a>
              </li>
              <li>
                <a sec:authorize="hasAuthority('KPI_TEMPLATE_TASKS')" th:href="@{'/task/templates'}" class="block px-4 py-2 hover:bg-gray-100">Template Tasks</a>
              </li>
              <li>
                <a sec:authorize="hasAuthority('KPI_SCORE_SETTING')" th:href="@{'/score-setting'}" class="block px-4 py-2 hover:bg-gray-100">Score Setting</a>
              </li>
            </ul>
            <!--end admin menu-->
            <div class="py-2">
<!--              <a th:href="@{'/signout'}" class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">Sign out</a>-->

              <form name="f" th:action="@{/logout}" method="post">
                <button class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 w-full text-left">
                  Sign out</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</nav>

</body>
</html>